PHP Manual
Prev |  | Next

# get_class

(PHP 4, PHP 5)

get_class -- Returns the name of the class of an object

## Description

string get_class ( [object object] )

Gets the name of the class of the given `object`.

## Parameters

`object`

  The tested object

## Return Values

Returns the name of the class of which `object` is an instance. Returns `FALSE` if `object` is not an object.

## ChangeLog

Version | Description
--- | ---
Since 5.0.0 | The class name is returned in it's original notation.
Since 5.0.0 | The `object` parameter is optional if called from the object's method.

## Examples

Example 1. Using get_class()

`<?php class foo { function foo() { // implements some logic } function name() { echo "My name is " , get_class($this) , "\n"; } } // create an object $bar = new foo(); // external call echo "Its name is " , get_class($bar) , "\n"; // internal call $bar->name(); ?>`

The above example will output:

    Its name is foo
    My name is foo

## See Also

get_parent_class()
gettype()
is_subclass_of()

Prev | Home | Next
get_class_vars | Up | get_declared_classes